### Enumeration

# Hitaki AlsaFirewireError

#### Declaration

    error-domain Hitaki.AlsaFirewireError

#### Description [src]

The enumerations to report result of operation in `HitakiAlsaFirewire`.

#### Members

`HITAKI_ALSA_FIREWIRE_ERROR_FAILED`

  The system call fails.

  - Value: `0`
  - Available since: 0.0
`HITAKI_ALSA_FIREWIRE_ERROR_IS_OPENED`

  The instance is already associated to any ALSA HwDep character device.

  - Value: `1`
  - Available since: 0.0
`HITAKI_ALSA_FIREWIRE_ERROR_IS_NOT_OPENED`

  The instance is not associated to any ALSA HwDep character device yet.

  - Value: `2`
  - Available since: 0.0
`HITAKI_ALSA_FIREWIRE_ERROR_IS_USED`

  The ALSA HwDep character device is used by the other process.

  - Value: `3`
  - Available since: 0.0
`HITAKI_ALSA_FIREWIRE_ERROR_IS_LOCKED`

  The functionality of packet streaming is prohibited.

  - Value: `4`
  - Available since: 0.0
`HITAKI_ALSA_FIREWIRE_ERROR_IS_UNLOCKED`

  The functionality of packet streaming is available.

  - Value: `5`
  - Available since: 0.0
`HITAKI_ALSA_FIREWIRE_ERROR_IS_DISCONNECTED`

  The sound card is disconnected.

  - Value: `6`
  - Available since: 0.0
`HITAKI_ALSA_FIREWIRE_ERROR_WRONG_CLASS`

  Mismatch between GObject class and thetype of sound unit.

  - Value: `7`
  - Available since: 0.0

#### Type functions

###### hitaki_alsa_firewire_error_quark

Return the `GQuark` for `GError` with code in Hitaki.AlsaFirewireError enumerations.

###### hitaki_alsa_firewire_error_to_label

Retrieve the string label of error from code.